package com.ruoyi.project.pssr.service.impl;

import java.util.List;

import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrCircuitMapper;
import com.ruoyi.project.pssr.domain.TPssrCircuit;
import com.ruoyi.project.pssr.service.ITPssrCircuitService;

/**
 * 短接Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrCircuitServiceImpl implements ITPssrCircuitService
{
    @Autowired
    private TPssrCircuitMapper tPssrCircuitMapper;

    /**
     * 查询短接
     *
     * @param id 短接ID
     * @return 短接
     */
    @Override
    public TPssrCircuit selectTPssrCircuitById(Long id)
    {
        return tPssrCircuitMapper.selectTPssrCircuitById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrCircuitMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询短接列表
     *
     * @param tPssrCircuit 短接
     * @return 短接
     */
    @Override
    public List<TPssrCircuit> selectTPssrCircuitList(TPssrCircuit tPssrCircuit)
    {
        return tPssrCircuitMapper.selectTPssrCircuitList(tPssrCircuit);
    }

    /**
     * 新增短接
     *
     * @param tPssrCircuit 短接
     * @return 结果
     */
    @Override
    public int insertTPssrCircuit(TPssrCircuit tPssrCircuit)
    {
        return tPssrCircuitMapper.insertTPssrCircuit(tPssrCircuit);
    }

    /**
     * 修改短接
     *
     * @param tPssrCircuit 短接
     * @return 结果
     */
    @Override
    public int updateTPssrCircuit(TPssrCircuit tPssrCircuit)
    {
        return tPssrCircuitMapper.updateTPssrCircuit(tPssrCircuit);
    }

    /**
     * 批量删除短接
     *
     * @param ids 需要删除的短接ID
     * @return 结果
     */
    @Override
    public int deleteTPssrCircuitByIds(Long[] ids)
    {
        return tPssrCircuitMapper.deleteTPssrCircuitByIds(ids);
    }

    /**
     * 删除短接信息
     *
     * @param id 短接ID
     * @return 结果
     */
    @Override
    public int deleteTPssrCircuitById(Long id)
    {
        return tPssrCircuitMapper.deleteTPssrCircuitById(id);
    }
}
